From 734dc5dc853769a750007b95b53c89d9fbfc8b5f Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 13 May 2020 16:46:49 +0200
Subject: [PATCH 2/2] doc: fix PEM prompt markup

The same document was using literal and programlisting for showing
the PEM pass phrase prompt, settle on using a single way to render
the same thing. Also reword the actual prompt as both occurrences
had different spelling with neither being wbat is actually used.
---
 doc/src/sgml/libpq.sgml | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index c404429ae9..75c7c5837b 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -1668,7 +1668,7 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
        </para>
        <para>
         Specifying this parameter with any non-empty value suppresses the
-        <literal>Enter PEM passphrase:</literal>
+        <literal>Enter PEM pass phrase:</literal>
         prompt that OpenSSL will emit by default when an encrypted client
         certificate key is provided to <literal>libpq</literal>.
        </para>
@@ -7667,10 +7667,7 @@ ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
    may be provided in the <xref linkend="libpq-connect-sslpassword"/> connection
    option. If an encrypted key is supplied and the <literal>sslpassword</literal>
    option is absent or blank, a password will be prompted for interactively by
-   OpenSSL with a
-   <programlisting>
-    Enter PEM Passphrase:
-   </programlisting>
+   OpenSSL with a <literal>Enter PEM pass phrase:</literal>
    prompt if a TTY is available. Applications can override the client certificate
    prompt and the handling of the <literal>sslpassword</literal> parameter by supplying
    their own key password callback; see <xref linkend="libpq-pqsetsslkeypasshook"/>.
-- 
2.21.1 (Apple Git-122.3)

